- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# na_elementsw_cluster_pair – NetApp Element Software Manage Cluster Pair

New in version 2.7.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Status

## Synopsis

- Create, delete cluster pair

## Requirements

The below requirements are needed on the host that executes this module.

- The modules were developed with SolidFire 10.1
- solidfire-sdk-python (1.1.0.92) or greater. Install using ‘pip install solidfire-sdk-python’

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
dest_mvip - / required |  | Destination IP address of the cluster to be paired.
dest_password - |  | Destination password for the cluster to be paired. Optional if this is same as source cluster password.
dest_username - |  | Destination username for the cluster to be paired. Optional if this is same as source cluster username.
hostname - / required |  | The hostname or IP address of the SolidFire cluster.
password - / required |  | Password for the specified user. aliases: pass
state - | Choices: present ← absent | Whether the specified cluster pair should exist or not.
username - / required |  | Please ensure that the user has the adequate permissions. For more information, please read the official documentation https://mysupport.netapp.com/documentation/docweb/index.html?productID=62636&language=en-US. aliases: user

## Notes

Note

- The modules prefixed with na\_elementsw are built to support the SolidFire storage platform.

## Examples

    - name: Create cluster pair
      na_elementsw_cluster_pair:
        hostname: "{{ src_hostname }}"
        username: "{{ src_username }}"
        password: "{{ src_password }}"
        state: present
        dest_mvip: "{{ dest_hostname }}"

    - name: Delete cluster pair
      na_elementsw_cluster_pair:
        hostname: "{{ src_hostname }}"
        username: "{{ src_username }}"
        password: "{{ src_password }}"
        state: absent
        dest_mvip: "{{ dest_hostname }}"
        dest_username: "{{ dest_username }}"
        dest_password: "{{ dest_password }}"

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by an Ansible Partner. [certified]

### Authors

- NetApp Ansible Team (@carchi8py) <ng-ansibleteam@netapp.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.